import pytest

from data import model
from endpoints.common import common_login

from test.fixtures import *

@pytest.mark.parametrize('username, expect_success', [
  # Valid users.
  ('devtable', True),
  ('public', True),

  # Org.
  ('buynlarge', False),

  # Robot.
  ('devtable+dtrobot', False),

  # Unverified user.
  ('unverified', False),
])
def test_common_login(username, expect_success, app):
  db_user = model.user.get_namespace_user(username)
  with app.app_context():
    assert common_login(db_user.uuid) == expect_success
